package chaindb

import (
	"github.com/ethereum/go-ethereum/common"
	"testing"
)

func benchmark(b *testing.B, f func(hash common.Hash) string) {
	var h = common.HexToHash("0x4daf6f018bdc33e7f5548382a995b89a6eb809d09fdf386a750d10ed5b88b134")
	for i := 0; i < b.N; i++ {
		f(h)
	}
}

func BenchmarkMemChaindb_TransactionKey1(b *testing.B) {
	benchmark(b, transactionKey)
}
